FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Cluster Development

 
 
LinkBack Thread Tools
 
Old 01-04-2008, 07:01 PM
 
Default cluster/rgmanager/src/resources lvm_by_lv.sh

CVSROOT: /cvs/cluster
Module name: cluster
Branch: RHEL4
Changes by: jbrassow@sourceware.org 2008-01-04 20:01:50

Modified files:
rgmanager/src/resources: lvm_by_lv.sh

Log message:
- a regression... When tagging at the LV-level, the script should complain
if there is more than one LV / VG.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/lvm_by_lv.sh.diff?cvsroot=cluster&only_with_tag=RH EL4&r1=1.1.2.1&r2=1.1.2.2

--- cluster/rgmanager/src/resources/lvm_by_lv.sh 2008/01/03 20:35:39 1.1.2.1
+++ cluster/rgmanager/src/resources/lvm_by_lv.sh 2008/01/04 20:01:50 1.1.2.2
@@ -314,6 +314,18 @@

function lv_start
{
+ if ! lvs $OCF_RESKEY_vg_name >& /dev/null; then
+ lv_count=0
+ else
+ lv_count=`lvs --noheadings -o name $OCF_RESKEY_vg_name | grep -v _mlog | grep -v _mimage | grep -v nconsistent | wc -l`
+ fi
+ if [ $lv_count -gt 1 ]; then
+ ocf_log err "HA LVM requires Only one logical volume per volume group."
+ ocf_log err "There are currently $lv_count logical volumes in $OCF_RESKEY_vg_name"
+ ocf_log err "Failing HA LVM start of $OCF_RESKEY_vg_name/$OCF_RESKEY_lv_name"
+ exit $OCF_ERR_GENERIC
+ fi
+
if ! lv_activate start; then
return 1
fi
 
Old 01-04-2008, 07:02 PM
 
Default cluster/rgmanager/src/resources lvm_by_lv.sh

CVSROOT: /cvs/cluster
Module name: cluster
Changes by: jbrassow@sourceware.org 2008-01-04 20:02:20

Modified files:
rgmanager/src/resources: lvm_by_lv.sh

Log message:
- a regression... When tagging at the LV-level, the script should complain
if there is more than one LV / VG.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/lvm_by_lv.sh.diff?cvsroot=cluster&r1=1.2&r2=1.3

--- cluster/rgmanager/src/resources/lvm_by_lv.sh 2008/01/03 21:02:53 1.2
+++ cluster/rgmanager/src/resources/lvm_by_lv.sh 2008/01/04 20:02:20 1.3
@@ -314,6 +314,18 @@

function lv_start
{
+ if ! lvs $OCF_RESKEY_vg_name >& /dev/null; then
+ lv_count=0
+ else
+ lv_count=`lvs --noheadings -o name $OCF_RESKEY_vg_name | grep -v _mlog | grep -v _mimage | grep -v nconsistent | wc -l`
+ fi
+ if [ $lv_count -gt 1 ]; then
+ ocf_log err "HA LVM requires Only one logical volume per volume group."
+ ocf_log err "There are currently $lv_count logical volumes in $OCF_RESKEY_vg_name"
+ ocf_log err "Failing HA LVM start of $OCF_RESKEY_vg_name/$OCF_RESKEY_lv_name"
+ exit $OCF_ERR_GENERIC
+ fi
+
if ! lv_activate start; then
return 1
fi
 
Old 01-04-2008, 07:02 PM
 
Default cluster/rgmanager/src/resources lvm_by_lv.sh

CVSROOT: /cvs/cluster
Module name: cluster
Branch: RHEL5
Changes by: jbrassow@sourceware.org 2008-01-04 20:02:50

Modified files:
rgmanager/src/resources: lvm_by_lv.sh

Log message:
- a regression... When tagging at the LV-level, the script should complain
if there is more than one LV / VG.

Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/cluster/rgmanager/src/resources/lvm_by_lv.sh.diff?cvsroot=cluster&only_with_tag=RH EL5&r1=1.1.4.1&r2=1.1.4.2

--- cluster/rgmanager/src/resources/lvm_by_lv.sh 2008/01/03 20:45:37 1.1.4.1
+++ cluster/rgmanager/src/resources/lvm_by_lv.sh 2008/01/04 20:02:50 1.1.4.2
@@ -314,6 +314,18 @@

function lv_start
{
+ if ! lvs $OCF_RESKEY_vg_name >& /dev/null; then
+ lv_count=0
+ else
+ lv_count=`lvs --noheadings -o name $OCF_RESKEY_vg_name | grep -v _mlog | grep -v _mimage | grep -v nconsistent | wc -l`
+ fi
+ if [ $lv_count -gt 1 ]; then
+ ocf_log err "HA LVM requires Only one logical volume per volume group."
+ ocf_log err "There are currently $lv_count logical volumes in $OCF_RESKEY_vg_name"
+ ocf_log err "Failing HA LVM start of $OCF_RESKEY_vg_name/$OCF_RESKEY_lv_name"
+ exit $OCF_ERR_GENERIC
+ fi
+
if ! lv_activate start; then
return 1
fi
 

Thread Tools




All times are GMT. The time now is 09:18 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org